import { Base, Type } from "igniteui-angular-core";
import { ColorInfo } from "./ColorInfo";
import { WorkbookSaveManager } from "./WorkbookSaveManager";
import { CellFillGradientStop } from "./CellFillGradientStop";
import { WorkbookLoadManager } from "./WorkbookLoadManager";
/**
 * @hidden
 */
export declare class StopInfo extends Base {
    static $t: Type;
    private f;
    private b;
    g: number;
    c: ColorInfo;
    equals(a: any): boolean;
    getHashCode(): number;
    static d(a: WorkbookSaveManager, b: CellFillGradientStop): StopInfo;
    a(a: WorkbookLoadManager): CellFillGradientStop;
}
